> For the complete documentation index, see [llms.txt](https://docs.statuspal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.statuspal.io/platform/api-reference/status.md).

# Status

Status endpoints

## GET /status\_pages/{subdomain}/status

> Get the status reported on a status page

```json
{"openapi":"3.0.1","info":{"title":"StatusPal API Reference","version":"2.0.0"},"tags":[{"name":"Status","description":"Status endpoints"}],"servers":[{"url":"https://statuspal.io/api/v2"},{"url":"https://statuspal.eu/api/v2"}],"security":[],"paths":{"/status_pages/{subdomain}/status":{"get":{"tags":["Status"],"summary":"Get the status reported on a status page","operationId":"getStatusPageStatus","parameters":[{"$ref":"#/components/parameters/StatusPageSubdomain"}],"responses":{"200":{"description":"A status page's status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageStatus"}}}},"403":{"$ref":"#/components/responses/ForbiddenError"},"404":{"$ref":"#/components/responses/NotFoundError"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"parameters":{"StatusPageSubdomain":{"name":"subdomain","in":"path","description":"The subdomain of your status page.\n\nYou can find this under your status page settings, the Subdomain field is found under the \"Domain name\" section. Alternatively find it in the URL of your admin dashboard (e.g. statuspal.io/admin/`subdomain`).\n","required":true,"schema":{"type":"string"}}},"schemas":{"StatusPageStatus":{"description":"Represents the status summary of a status page","type":"object","properties":{"status_page":{"type":"object","properties":{"url":{"type":"string","description":"The URL of the website the status page is about"},"time_zone":{"type":"string","description":"The primary timezone the status page uses to display incidents"},"subdomain":{"type":"string","description":"The `subdomain` that identified the status page"},"name":{"type":"string","description":"The name of the company or service the status page is about"},"current_incident_type":{"$ref":"#/components/schemas/IncidentType"}}}}},"IncidentType":{"type":"string","description":"The type of the (current) incident:\n * `minor` - A minor incident is currently taking place.\n * `major` - A major incident is currently taking place.\n * `scheduled` - A scheduled maintenance is currently taking place.\n","enum":["major","minor","scheduled"]},"ForbiddenError":{"type":"object","properties":{"error":{"type":"string","description":"Forbidden"}}},"NotFoundError":{"type":"object","properties":{"error":{"type":"string","description":"Resource not found!"}}},"ServerError":{"type":"object","properties":{"error":{"type":"string","description":"Internal server error :("}}}},"responses":{"ForbiddenError":{"description":"You lack the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"NotFoundError":{"description":"A resource with the provided ID was not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"ServerError":{"description":"Unexpected error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}}}}}}
```

## GET /status\_pages/{subdomain}/services/{serviceId}/status

> Get the status reported on a status page service

```json
{"openapi":"3.0.1","info":{"title":"StatusPal API Reference","version":"2.0.0"},"tags":[{"name":"Status","description":"Status endpoints"}],"servers":[{"url":"https://statuspal.io/api/v2"},{"url":"https://statuspal.eu/api/v2"}],"security":[],"paths":{"/status_pages/{subdomain}/services/{serviceId}/status":{"get":{"tags":["Status"],"summary":"Get the status reported on a status page service","operationId":"getServiceStatus","parameters":[{"$ref":"#/components/parameters/StatusPageSubdomain"},{"$ref":"#/components/parameters/ServiceId"}],"responses":{"200":{"description":"A service's status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceStatus"}}}},"403":{"$ref":"#/components/responses/ForbiddenError"},"404":{"$ref":"#/components/responses/NotFoundError"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"parameters":{"StatusPageSubdomain":{"name":"subdomain","in":"path","description":"The subdomain of your status page.\n\nYou can find this under your status page settings, the Subdomain field is found under the \"Domain name\" section. Alternatively find it in the URL of your admin dashboard (e.g. statuspal.io/admin/`subdomain`).\n","required":true,"schema":{"type":"string"}},"ServiceId":{"name":"serviceId","in":"path","description":"The ID of a service","required":true,"schema":{"type":"integer"}}},"schemas":{"ServiceStatus":{"type":"object","properties":{"service":{"$ref":"#/components/schemas/StatusService"}}},"StatusService":{"description":"Represents the status of a service","type":"object","properties":{"name":{"type":"string"},"id":{"type":"integer"},"current_incident_type":{"$ref":"#/components/schemas/IncidentType"},"children":{"type":"array","description":"Nested ServiceSummary children","items":{"$ref":"#/components/schemas/StatusService"}}}},"IncidentType":{"type":"string","description":"The type of the (current) incident:\n * `minor` - A minor incident is currently taking place.\n * `major` - A major incident is currently taking place.\n * `scheduled` - A scheduled maintenance is currently taking place.\n","enum":["major","minor","scheduled"]},"ForbiddenError":{"type":"object","properties":{"error":{"type":"string","description":"Forbidden"}}},"NotFoundError":{"type":"object","properties":{"error":{"type":"string","description":"Resource not found!"}}},"ServerError":{"type":"object","properties":{"error":{"type":"string","description":"Internal server error :("}}}},"responses":{"ForbiddenError":{"description":"You lack the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"NotFoundError":{"description":"A resource with the provided ID was not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"ServerError":{"description":"Unexpected error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}}}}}}
```
